Skip to content

Stock⁠

Perform various operations for Symitar parameters.

Operations⁠

getStockSelectFields⁠

POST

Execute the persistent ParameterService getStockSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

StockTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getStockSelectFields
POST /nexum/627/persistent/parameter/getStockSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "StockType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllStockFields": true,
    "StockFields": {
      "Type": true,
      "TypeCollateralPercent": true,
      "TypeDecimalPrice": true,
      "TypeDescription": true,
      "TypeFractionPrice": [
        0
      ],
      "TypeStockDollars": true,
      "TypeStockEighths": true,
      "TypeTickerSymbol": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getStockPagedListSelectFields⁠

POST

Execute the persistent ParameterService getStockPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getStockPagedListSelectFields
POST /nexum/627/persistent/parameter/getStockPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllStockFields": true,
    "StockFields": {
      "Type": true,
      "TypeCollateralPercent": true,
      "TypeDecimalPrice": true,
      "TypeDescription": true,
      "TypeFractionPrice": [
        0
      ],
      "TypeStockDollars": true,
      "TypeStockEighths": true,
      "TypeTickerSymbol": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchStockPagedSelectFields⁠

POST

Execute the persistent ParameterService searchStockPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchStockPagedSelectFields
POST /nexum/627/persistent/parameter/searchStockPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllStockFields": true,
    "StockFields": {
      "Type": true,
      "TypeCollateralPercent": true,
      "TypeDecimalPrice": true,
      "TypeDescription": true,
      "TypeFractionPrice": [
        0
      ],
      "TypeStockDollars": true,
      "TypeStockEighths": true,
      "TypeTickerSymbol": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateStockByID⁠

POST

Execute the persistent ParameterService updateStockByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

StockTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateStockByID
POST /nexum/627/persistent/parameter/updateStockByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "StockType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "StockFields": {
    "Type": 0,
    "TypeCollateralPercent": 0,
    "TypeDecimalPrice": 0,
    "TypeDescription": "string",
    "TypeFractionPrice": [
      {
        "EntryId": 0,
        "TypeFractionPrice": "string"
      }
    ],
    "TypeStockDollars": 0,
    "TypeStockEighths": 0,
    "TypeTickerSymbol": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}